Community
cancel
Showing results for 
Search instead for 
Did you mean: 
erling_andersen
Beginner
121 Views

"_Cilk_for" has been deprecated

When using Intel 18.0.0 with GCC6.2.0 on Linux I see

 warning #3947: "_Cilk_for" has been deprecated, and will be removed in a future release.  Please refer to release notes for details and recommended alternatives

I wonder what that mean and why it appears. Is cilk dying? 

 

 

 

 

 

 

0 Kudos
2 Replies
erling_andersen
Beginner
121 Views

Ok so Cilk is dying but link

https://software.intel.com/en-us/articles/migration-from-intelr-cilktm-plus-to-openmp-or-intelr-thre...

also does not work.

I think it is real pitty you are killing Cilk. It worked very well for me.

 

 

 

Hansang_B_Intel
Employee
121 Views

Yes, Cilk Plus is being deprecated, and you can find a migration guide from

https://software.intel.com/en-us/articles/migrate-your-application-to-use-openmp-or-intelr-tbb-inste...

 

Reply